#!/bin/bash

expireTimeNotifyOSD=10000
currentId=1
tmpFile=/tmp/currentNotifyId
# gets the current notify id from our tmp file
if [ -s $tmpFile ]; then
	currentId=$(cat $tmpFile)
fi

makepkg_bash_func() {
    notify-send "Start makepkg for $name" -p -t $expireTimeNotifyOSD -r $currentId -i software-update-available > $tmpFile
	#fixes issue with makepkg ... git repo is not a clone of ...
	unset GIT_DIR
	makepkg --clean
	repo-add /mnt/pi-usb-ssd/gind-repo/x86_64/gind-repo.db.tar.gz $name*.pkg.tar.zst
	cp -n $name*.pkg.tar.zst /mnt/pi-usb-ssd/gind-repo/x86_64/
}

if [ $# -gt 0 ]; then
	if [ "$1" == "$name" ]; then
	    makepkg_bash_func
	fi
else
	makepkg_bash_func
fi

